- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QPickingProxy
- Qt 6.8.3 Reference Documentation

# QPickingProxy Class

class Qt3DRender::QPickingProxy

Can be used to provide an alternate QGeometryView used only for picking. More...

Header: | `#include <QPickingProxy>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
Since: | Qt 6.0
In QML: | PickingProxy
Inherits: | Qt3DCore::QBoundingVolume
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

| QPickingProxy(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

Picking can be an expensive operation, especially if the mesh has a lot of vertices. QPickProxy can be used to provide an alternative geometry, usually with fewer primitives, which will be used for picking, while the GeometryRenderer instance will be used for rendering.

Note: Do not use a QPickingProxy if the application requires picking coordinates to match the rendered mesh.

Note: The picking algorithm uses a bounding volume hierarchy to optimize out entities who's bounding volume does not intersect the picking ray. For that hierarchy, the bounding volume of the renderered entity is used (or one explicitly set using a QBoundingVolume component) will be used rather than the one of the proxy.

## Member Function Documentation

### `[explicit]` QPickingProxy::QPickingProxy(Qt3DCore::QNode *parent = nullptr)

Constructs a new QPickingProxy with parent.